Skip to content

General ledger audit trail

Request

Retrieves the general ledger audit trail, showing all transactions within a date range, with an option to include deleted transactions.

Security
Class_oAuth(Required scopes: fund.read)
Path
businessCodestringrequired

Class business code

Example:demo-business
fundCodestringrequired

Class entity code

Example:demo-fund
Query
startDatestring, (date)required

The start date to retrieve the data for

Example:startDate=2024-07-01
endDatestring, (date)required

The end date to retrieve the data for

Example:endDate=2025-06-30
includeDeletedbooleanrequired

Default value is False

Example:includeDeleted=false
curl -i -X GET \
  'https://api.class-pie.com.au/api/1.0/f/demo-business/demo-fund/report-data/accounting-reports/transaction-audit-trail?startDate=2024-07-01&endDate=2025-06-30&includeDeleted=false' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success (Ok)

Bodyapplication/json
ErrorsArray of objectsrequired
Dataobjectrequired
Response
{ "Data": { "FundName": "DEMO_SMSF_2025", "FundCode": "demo-fund", "Period": "2025-09-30", "Groups": [ { "GroupName": "string", "Transactions": [ { "Debit": 1200.5, "DebitSpecified": true, "Credit": 0, "CreditSpecified": true, "ProcessedOnDate": "2025-10-28", "ProcessedByUser": "dlin_support", "TransactionDate": "2025-10-27", "Account": "GL-2001-OfficeSupplies", "Description": "Purchase of office supplies", "State": "Posted", "Balance": 8450.2 } ] } ] }, "Errors": [ { "Code": "string", "Message": "string" } ] }